GET
/api/v1/actionsThe actions you defined in the dashboard, in their order.
Responses#
200#
Your actions.
401#
Missing, unknown, revoked or expired API key, or the account is not active.
{
"error": "unauthorized",
"message": "The API key is not valid."
}429#
Too many requests in a minute. Wait Retry-After seconds. See Rate limits.
Header Retry-After: Seconds to wait.
{
"error": "too_many_requests",
"message": "Too many requests. Try again in a minute."
}Request
curl -X GET https://api.detectivision.ai/api/v1/actions \
-H "Api-Key: $DETECTIVISION_API_KEY"import os, requests
r = requests.get(
"https://api.detectivision.ai/api/v1/actions",
headers={"Api-Key": os.environ["DETECTIVISION_API_KEY"]},
)
print(r.status_code, r.json())const res = await fetch("https://api.detectivision.ai/api/v1/actions", {
method: "GET",
headers: {
"Api-Key": process.env.DETECTIVISION_API_KEY,
},
});
console.log(res.status, await res.json());